Compatibility Checker Now Available for Oracle Solaris 11 Express

Most applications currently running on Oracle Solaris 10 will continue to run unmodified on Oracle Solaris 11 Express, but you wanna be sure. Some applications could have incompatibilities.

Oracle Solaris 11 Express Compatibility Checker allows developers to zero in on incompatibilities and fix 'em. The Checker includes:

  • Source code analysis
  • Static binary analysis
  • Runtime analysis (coming soon)

Checkers are available for SPARC and x86 versions of Solaris. Get the README here.

If you have questions or comments about the tool, send them to the friendly folks at isvsupport@sun.com.

- Rick
Comments:

Will the runtime version incorporate cooltst?

Posted by Dave B on March 21, 2011 at 05:54 AM MDT #

No the run time checker will not incorporate cooltst itself. It uses however the same monitoring technology (Dtrace) to look for different things. It looks for the usage of a command like /usr/ucb/whoami (deprecated for a while) and it'll tell you that the command may not be available in a Solaris 11 Express minimal installation.
The tool will check as well for the usage of undocumented, unstable, deprecated calls and symbols which aren't guaranteed to be available in Solaris 11.
The tool will spot as well if you use a short form locale like "de" which will not be available with this name in Solaris 11 since it is not ISO compliant.

Posted by Stefan Schneider on March 21, 2011 at 10:50 AM MDT #

Post a Comment:
  • HTML Syntax: NOT allowed
About

Contributors:
Rick Ramsey
Kemer Thomson
and members of the OTN community

Search

Archives
« April 2014
SunMonTueWedThuFriSat
  
1
2
3
4
5
6
7
8
9
10
12
13
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today
Blogs We Like